<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: cr_alfa_extension_15082014.xml */
/* Generado: 2014-08-26 22:08:08 */

/* Busqueda de registros de la tabla cr_colaborador_file. */
abstract class BaseCr_colaborador_fileFN extends Cr_colaborador_fileBN
{
    /* Declaracion de constantes */
    const IdColaboradorFile = "cr_colaborador_file.IDCOLABORADORFILE";
    const IdColaborador = "cr_colaborador_file.IDCOLABORADOR";
    const FileNumero = "cr_colaborador_file.FILENUMERO";
    const Estado = "cr_colaborador_file.ESTADO";
    const NombreFile = "cr_colaborador_file.NOMBREFILE";
    const FechaEliminado = "cr_colaborador_file.FECHAELIMINADO";
    const UsuarioEliminado = "cr_colaborador_file.USUARIOELIMINADO";
    const Eliminado = "cr_colaborador_file.ELIMINADO";
    const FechaRegistro = "cr_colaborador_file.FECHAREGISTRO";
    const UsuarioRegistro = "cr_colaborador_file.USUARIOREGISTRO";
    const Idtipofile = "cr_colaborador_file.IDTIPOFILE";

    public $a_Condition = array();
    public $a_OrderBy = array();

    /* Obtiene una conexion a la base de datos */
    public function getConnect()
    {
        $o_DBConnect = Conexion2::getConexion();
        $o_Resource = $o_DBConnect->getResource();
        return $o_Resource;
    }

    /* Obtiene la cadena de columas */
    public function getSelectColumns()
    {
        $s_SQLQuery = "cr_colaborador_file.IdColaboradorFile AS IdColaboradorFile, ";
        $s_SQLQuery .= "cr_colaborador_file.idcolaborador AS IdColaborador, ";
        $s_SQLQuery .= "cr_colaborador_file.FileNumero AS FileNumero, ";
        $s_SQLQuery .= "cr_colaborador_file.Estado AS Estado, ";
        $s_SQLQuery .= "cr_colaborador_file.NombreFile AS NombreFile, ";
        $s_SQLQuery .= "cr_colaborador_file.FechaEliminado AS FechaEliminado, ";
        $s_SQLQuery .= "cr_colaborador_file.UsuarioEliminado AS UsuarioEliminado, ";
        $s_SQLQuery .= "cr_colaborador_file.Eliminado AS Eliminado, ";
        $s_SQLQuery .= "cr_colaborador_file.FechaRegistro AS FechaRegistro, ";
        $s_SQLQuery .= "cr_colaborador_file.UsuarioRegistro AS UsuarioRegistro, ";
        $s_SQLQuery .= "cr_colaborador_file.idtipofile AS idtipofile ";
        return $s_SQLQuery;
    }

    /* Establece el condicion de filtro de la lista resultante */
    public function addCondition( $s_Const, $s_Operator, $u_Value )
    {
        $this->a_Condition[] = array( "COLUMN" => $s_Const, "OPERATOR" => $s_Operator, "VALUE" => $u_Value );
    }

    /* Establece el orden de la lista resultante */
    public function addOrderBy( $s_Const, $b_OrderAsc = true )
    {
        $this->a_OrderBy[] = array( "COLUMN" => $s_Const, "ASC" => $b_OrderAsc );
    }

    /* Establece los valores desde un objeto Cr_colaborador_fileBN */
    public function setByBN( Cr_colaborador_fileBN $o_Cr_colaborador_fileBN )
    {
        if ( !is_null( $o_Cr_colaborador_fileBN->getIdColaboradorFile() ) )
        {
            $this->setIdColaboradorFile( $o_Cr_colaborador_fileBN->getIdColaboradorFile() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getIdColaborador() ) )
        {
            $this->setIdColaborador( $o_Cr_colaborador_fileBN->getIdColaborador() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getFileNumero() ) )
        {
            $this->setFileNumero( $o_Cr_colaborador_fileBN->getFileNumero() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getEstado() ) )
        {
            $this->setEstado( $o_Cr_colaborador_fileBN->getEstado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getNombreFile() ) )
        {
            $this->setNombreFile( $o_Cr_colaborador_fileBN->getNombreFile() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getFechaEliminado() ) )
        {
            $this->setFechaEliminado( $o_Cr_colaborador_fileBN->getFechaEliminado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getUsuarioEliminado() ) )
        {
            $this->setUsuarioEliminado( $o_Cr_colaborador_fileBN->getUsuarioEliminado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getEliminado() ) )
        {
            $this->setEliminado( $o_Cr_colaborador_fileBN->getEliminado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getFechaRegistro() ) )
        {
            $this->setFechaRegistro( $o_Cr_colaborador_fileBN->getFechaRegistro() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getUsuarioRegistro() ) )
        {
            $this->setUsuarioRegistro( $o_Cr_colaborador_fileBN->getUsuarioRegistro() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getIdtipofile() ) )
        {
            $this->setIdtipofile( $o_Cr_colaborador_fileBN->getIdtipofile() );
        }
    }

    /* Busca un registro por su llave primaria */
    public function selectByPK( $i_IdColaboradorFile )
    {
        if( is_null( $i_IdColaboradorFile ) ){ $i_IdColaboradorFile = -1; }

        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM cr_colaborador_file ";
        $s_SQLQuery .= "WHERE IdColaboradorFile = ".$i_IdColaboradorFile." ";
        $s_SQLQuery .= "LIMIT 1;";

        $o_Cr_colaborador_fileBN = null;
        $o_Resource = $this->getConnect();
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }
        if ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) )
        {
            $o_Cr_colaborador_fileBN = $this->insertObjectBN( $a_SQLRow );
        }
        return $o_Cr_colaborador_fileBN;
    }

    public function buildConsult()
    {
        $s_SQLQuery = "";
        if ( !is_null( $this->getIdColaboradorFile() ) ) $s_SQLQuery .= "IdColaboradorFile = ".$this->getIdColaboradorFile()." AND ";
        if ( !is_null( $this->getIdColaborador() ) ) $s_SQLQuery .= "cr_colaborador_file.idcolaborador = ".$this->getIdColaborador()." AND ";
        if ( !is_null( $this->getFileNumero() ) ) $s_SQLQuery .= "FileNumero = '".$this->getFileNumero()."' AND ";
        if ( !is_null( $this->getEstado() ) ) $s_SQLQuery .= "Estado = '".$this->getEstado()."' AND ";
        if ( !is_null( $this->getNombreFile() ) ) $s_SQLQuery .= "NombreFile = '".$this->getNombreFile()."' AND ";
        if ( !is_null( $this->getFechaEliminado() ) ) $s_SQLQuery .= "FechaEliminado = '".$this->getFechaEliminado()."' AND ";
        if ( !is_null( $this->getUsuarioEliminado() ) ) $s_SQLQuery .= "UsuarioEliminado = '".$this->getUsuarioEliminado()."' AND ";
        if ( !is_null( $this->getEliminado() ) ) $s_SQLQuery .= "Eliminado = ".$this->getEliminado()." AND ";
        if ( !is_null( $this->getFechaRegistro() ) ) $s_SQLQuery .= "FechaRegistro = '".$this->getFechaRegistro()."' AND ";
        if ( !is_null( $this->getUsuarioRegistro() ) ) $s_SQLQuery .= "UsuarioRegistro = '".$this->getUsuarioRegistro()."' AND ";
        if ( !is_null( $this->getIdtipofile() ) ) $s_SQLQuery .= "idtipofile = ".$this->getIdtipofile()." AND ";
        if ( count( $this->a_Condition ) > 0 )
        {
            foreach ( $this->a_Condition as $a_Condition )
            {
                $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." '".$a_Condition[ "VALUE" ]."' AND ";
            }
        }
        $s_SQLQuery .= "1 = 1 ";
        return $s_SQLQuery;
    }

    public function selectNumRows()
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= "COUNT(*) AS cnt ";
        $s_SQLQuery .= "FROM cr_colaborador_file WHERE ";
        $s_SQLQuery .= $this->buildConsult();

        $o_Resource = $this->getConnect();
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }

        $num_rows = 0;
        if ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) )
        {
            $num_rows = $a_SQLRow->cnt;
        }
        return $num_rows;
    }

    /* Busca varios registros por los campos establecidos */
    public function select( $i_Position = null, $i_Rows = null )
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM cr_colaborador_file WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        if ( count( $this->a_OrderBy ) > 0 )
        {
            $s_SQLQuery = $s_SQLQuery."ORDER BY ";
            $s_Separator = "";
            foreach ( $this->a_OrderBy as $a_OrderBy )
            {
                $s_SQLQuery .= $s_Separator.$a_OrderBy[ "COLUMN" ]." ";
                if ( $a_OrderBy[ "ASC" ] === false ) $s_SQLQuery .= "DESC ";
                $s_Separator = ", ";
            }
        }
        if( !is_null( $i_Position ) && is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position;
        if( !is_null( $i_Position ) && !is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position.", ".$i_Rows;
        $s_SQLQuery .= ";";
//echo $s_SQLQuery;
        $a_Cr_colaborador_fileBN = null;
        $o_Resource = $this->getConnect();
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }
        while ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) )
        {
            $o_Cr_colaborador_fileBN = $this->insertObjectBN( $a_SQLRow );
            $a_Cr_colaborador_fileBN[] = $o_Cr_colaborador_fileBN;
        }
        return $a_Cr_colaborador_fileBN;
    }

    /* Devuelve un objeto Cr_colaborador_fileBN desde un objeto propel */
    public function insertObjectBN( $o_Cr_colaborador_file )
    {
        $o_Cr_colaborador_fileBN = new Cr_colaborador_fileBN();
        if ( !is_null( $o_Cr_colaborador_file->IdColaboradorFile ) ) $o_Cr_colaborador_fileBN->setIdColaboradorFile( ( integer ) $o_Cr_colaborador_file->IdColaboradorFile );
        if ( !is_null( $o_Cr_colaborador_file->IdColaborador ) ) $o_Cr_colaborador_fileBN->setIdColaborador( ( integer ) $o_Cr_colaborador_file->IdColaborador );
        if ( !is_null( $o_Cr_colaborador_file->FileNumero ) ) $o_Cr_colaborador_fileBN->setFileNumero( $o_Cr_colaborador_file->FileNumero );
        if ( !is_null( $o_Cr_colaborador_file->Estado ) ) $o_Cr_colaborador_fileBN->setEstado( $o_Cr_colaborador_file->Estado );
        if ( !is_null( $o_Cr_colaborador_file->NombreFile ) ) $o_Cr_colaborador_fileBN->setNombreFile( $o_Cr_colaborador_file->NombreFile );
        if ( !is_null( $o_Cr_colaborador_file->FechaEliminado ) ) $o_Cr_colaborador_fileBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_colaborador_file->FechaEliminado, "Y-m-d" ) );
        if ( !is_null( $o_Cr_colaborador_file->UsuarioEliminado ) ) $o_Cr_colaborador_fileBN->setUsuarioEliminado( $o_Cr_colaborador_file->UsuarioEliminado );
        if ( !is_null( $o_Cr_colaborador_file->Eliminado ) ) $o_Cr_colaborador_fileBN->setEliminado( ( integer ) $o_Cr_colaborador_file->Eliminado );
        if ( !is_null( $o_Cr_colaborador_file->FechaRegistro ) ) $o_Cr_colaborador_fileBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_Cr_colaborador_file->FechaRegistro, "Y-m-d" ) );
        if ( !is_null( $o_Cr_colaborador_file->UsuarioRegistro ) ) $o_Cr_colaborador_fileBN->setUsuarioRegistro( $o_Cr_colaborador_file->UsuarioRegistro );
        if ( !is_null( $o_Cr_colaborador_file->idtipofile ) ) $o_Cr_colaborador_fileBN->setIdtipofile( ( integer ) $o_Cr_colaborador_file->idtipofile );
        return $o_Cr_colaborador_fileBN;
    }
}
?>